%load file with parameters
param = load('parameters.txt');
XMIN = param(1);
XMAX = param(2);
YMIN = param(3);
YMAX = param(4);
ZMIN = param(5);
ZMAX = param(6);
NX = param(7);
NY = param(8);
NZ = param(9);

% load the file with the quasi-potential
uvec = load('Qpot.txt');
ind = find(uvec > 1e5);
uvec(ind) = NaN;
umax = max(uvec);
u1 = reshape(uvec,NY*NX,NZ);
for k = 1 : NZ
    u(:,:,k) = reshape(u1(:,k),[NY,NX]);
end

figure(1); clf; hold on; grid;
xx = linspace(XMIN,XMAX,NX);
yy = linspace(YMIN,YMAX,NY);
zz = linspace(ZMIN,ZMAX,NZ);
[x,y,z] = meshgrid(xx,yy,zz);
nval = 4;
isoval = linspace(0,0.97*umax,nval + 1);
isoval(1) = [];
col = jet(nval);
for i = 1 : nval
    p = patch(isosurface(x,y,z,u,isoval(i)));
    p.FaceColor = col(i,:);
    p.EdgeColor = 'none';
    alpha(0.3)
end

% load the file with the MAP
d = load('MAP.txt');
plot3(d(:,1),d(:,2),d(:,3),'Linewidth',3,'color','k');
daspect([1,1,1])
set(gca,'FontSize',20);
xlabel('x_1');
ylabel('x_2');
zlabel('x_3');
view(3);